Support Oracle SGDB -- It is not displayed DASHBOARD (with Oracle DB backend)

12/17/2010 04:14 AM - Nikolay Aralovets

Status: Rejected   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hello,

When I try to see DASHBOARD page, Foreman gives out the "Error 500"

Processing DashboardController#index (for 172.30.64.135 at 2010-12-17 11:19:39) [GET]

ActiveRecord::StatementInvalid (OCIError: ORA-00936: missing expression: SELECT count(*) AS count_all FROM "HOSTS"

WHERE (((puppet_status > 0) and

((puppet_status >> 12 & 63) != 0) or

((puppet_status >> 18 & 63) != 0) or

((puppet_status >> 24 & 63) != 0)) AND (last_report > TO_TIMESTAMP('2010-12-17 07:44:39:555877','YYYY-MM-DD

HH24:MI:SS:FF6'))) ):

/usr/lib/ruby/gems/1.8/gems/activerecord-oracle_enhanced-adapter-1.3.1/lib/active_record/connection_adapters/oracle_enhanced_a

dapter.rb:948:in `log'

/usr/lib/ruby/gems/1.8/gems/activerecord-oracle_enhanced-adapter-1.3.1/lib/active_record/connection_adapters/oracle_enhanced_a

dapter.rb:906:in `select'

app/controllers/dashboard_controller.rb:39:in `prefetch_data'

/usr/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

/usr/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

/usr/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

/usr/lib/ruby/1.8/webrick/server.rb:162:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

/usr/lib/ruby/1.8/webrick/server.rb:95:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:92:in `each'

/usr/lib/ruby/1.8/webrick/server.rb:92:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:23:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:82:in `start'

Rendering /var/rails/foreman/public/500.html (500 Internal Server Error)

I have not understood your SELECT design:

((puppet_status >> 12 & 63) != 0) or

((puppet_status >> 18 & 63) != 0) or

((puppet_status >> 24 & 63) != 0))

and have no work variants this condition in PL/SQL

Related issues:

Related to Foreman - Feature #536: Support Oracle SGDB -- db:migrate worked w... Rejected 12/15/2010

History

#1 - 12/17/2010 06:33 AM - Nikolay Aralovets

Foreman version is 0.1-6

#2 - 01/24/2011 08:33 AM - Ohad Levy

these are bit field calculations on the puppet_status integer field..
these errors could be a simple limitation of the ruby active record implementation for oracle... it would be hard for me to verify it without access to an

oracle db.

#3 - 01/24/2011 08:55 AM - Nikolay Aralovets

Yes, this feature (bit field calculations) don't support in Oracle. If you describe what for this condition is necessary and that it carries out I can probably

alter select that it became valid in Oracle DB

#4 - 04/16/2012 12:14 PM - Nick Harrison

Are there any new developments on this bug over the last year? The database software is available for download on oracle.com if availability to

Oracle database is needed. Patches and security updates are a subscription service, however. Thanks.

#5 - 07/05/2012 07:22 AM - Benjamin Papillon

- Tracker changed from Bug to Feature

- Subject changed from It is not displayed DASHBOARD (with Oracle DB backend) to Support Oracle SGDB -- It is not displayed DASHBOARD (with

Oracle DB backend)

I update this ticket as Feature request. Devs are lacking a test environment to validate oracle right now.

#6 - 04/10/2016 05:11 AM - Tomer Brisker

- Description updated

- Status changed from New to Rejected

Oracle DB is not supported by Foreman as a backend. Please use a supported database such as PostgreSQL or MySQL.
